Bug 613204 - Excessive memory usage in a directory with a large image
Excessive memory usage in a directory with a large image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 21:04 EDT by Andrew McNabb
Modified: 2015-03-03 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
big image that breaks nautilus (5.24 MB, image/png)
2010-11-20 13:03 EST, Andrew McNabb
no flags Details

  None (edit)
Description Andrew McNabb 2010-07-09 21:04:26 EDT
I have a directory with a large image:

$ identify ev5826_land_lights_16384.tif
ev5826_land_lights_16384.tif TIFF 16384x8192 16384x8192+0+0 8-bit DirectClass 41.61MB 0.000u 0:00.089
$

When I open the directory containing this image in Nautilus, it brings the system to a crawl and uses huge amounts of RAM.  Closing the window helps restore responsiveness, but Nautilus still uses excessive amounts of RAM.  According to top, Nautilus is using 2.6 GB of virtual memory address space, has 1.6 GB of resident memory, and is presumably using 1 GB of the swap space.  After 5 or 10 minutes, Nautilus eventually frees the memory, but in the meantime it uses far more than it should.  It seems that:

1) If it encounters an image that is too big, Nautilus should refuse to generate a thumbnail.

2) It should limit the amount of RAM that it uses for thumbnails.

Running nautilus --version reports "GNOME nautilus 2.30.1".  Is there anything else that would be helpful?  Thanks.
Comment 1 Andrew McNabb 2010-07-09 21:10:09 EDT
By the way, I noticed that the thumbnail_limit in gconf is set to 10485760.  There are a few other images in the same directory which are less than 10 MB but have large dimensions.  For example, there is a 6 MB GIF of size 30000x15000.  So maybe Nautilus should take into account image dimensions and not just the number of bytes.
Comment 2 Tomáš Bžatek 2010-07-21 11:23:49 EDT
Does this issue happens also on other similarly sized images? Perhaps it's an issue of just that one image.
Comment 3 Andrew McNabb 2010-11-20 13:03:11 EST
Created attachment 461747 [details]
big image that breaks nautilus

I've looked around for big images for a while.  It turns out that they're hard to come by. :)  Anyway, I'm attaching an image to make this easier to reproduce.
Comment 4 Fedora End Of Life 2012-08-16 16:45:01 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.